Skip to content

Update a registration

Request

The endpoint updates the registration with specified ID

Security
OAuth2(Required scopes: write)
Path
projectIdstringrequired

Customer's project id

registrationIdstringrequired

Id of the registration to be updated

Bodyapplication/json
callbackUrlstring

Webhook URL to specify an endpoint for delivery of notifications about registration updates

Example:"senderid.registrations.api.sinch.com"
notificationContactsArray of strings

Email addresses that will be notified of any status changes of the registration.

Example:
[ "jane.doe@example.com", "john.doe@example.com" ]
requestDetailsArray of objects(RequestDetails)

Details of the sender IDs to be registered. Details depend on the specific market requirements defined in the policy.

tagsArray of strings

User tags used for the registration. Tag have to start from '#' and contains only alphanumerics and dashes.

Example:
[ "#myTag1", "#myTag2" ]
servicePlanIdstring

Service plan ID or System ID that the registration applies to. When included, the sender id will be configured linked to the service/system plan.

Example:"a23dccbf-919d-462f-8587-dec95a1b44de"
curl -i -X PUT \
  'https://senderid.registrations.api.sinch.com/v1/projects/{projectId}/registrations/{registrationId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "callbackUrl": "senderid.registrations.api.sinch.com",
    "notificationContacts": [
      "jane.doe@example.com",
      "john.doe@example.com"
    ],
    "requestDetails": [
      {
        "additionalDetails": [
          {
            "email": "email@mycompany.com"
          },
          {
            "companyName": "My Company Name",
            "website": "https://www.mycompany.com"
          }
        ],
        "senderIdDetails": [
          {
            "sender": "a sender value"
          }
        ]
      }
    ],
    "tags": [
      "#myTag1",
      "#myTag2"
    ],
    "servicePlanId": "a23dccbf-919d-462f-8587-dec95a1b44de"
  }'

Responses

OK

Bodyapplication/json
attachmentsArray of objects(Attachment)

Files attached to this registration

callbackUrlstring

Webhook URL to specify an endpoint for delivery of notifications about registration updates

Example:"senderid.registrations.api.sinch.com"
createTimestring

Creation time of the request. ISO date time format in UTC without timezone offset.

Example:"2021-11-03T14:30:03"
etaDatestring

Expected date of the registration approval. ISO date format.

Example:"2024-11-03"
idstring

Unique registration identifier.

Example:"d1c7ccbf-919d-462f-8587-dec95a1b11ee"
logsArray of objects(LogEntry)

Detailed history of the status changes this registration went through

notificationContactsArray of strings

Email addresses that will be notified of any status changes of the registration.

Example:
[ "jane.doe@example.com", "john.doe@example.com" ]
ownerstring

Display name of the user that created the registration.

Example:"Jane Doe"
policyIdstring

Unique identifier of the policy for this registration.

Example:"d1c7ccbf-919d-462f-8587-dec95a1b11ee"
priceobject(Pricing)
registrationTypestring, (enum)

Specify the sender ID type

Enum ValueDescription
ALPHANUMERIC_SENDER_ID

Alpha sender IDs

LONG_NUMBER

Long Numbers for SMS

SHORT_CODE

Short Codes for SMS

RCS_AGENT

RCS agent

Example:"ALPHANUMERIC_SENDER_ID"
requestDetailsArray of objects(RequestDetails)

Details of the sender IDs to be registered. Details depend on the specific market requirements defined in the policy.

senderIdsArray of strings

List of sender IDs associated with this registration. If sender IDs are not provided in the request, they will be assigned after registration approval.

Example:
[ "senderId1", "senderId2" ]
statusstring

Status of the registration.

Enum ValueDescription
DRAFT

Registration not submitted by the customer. This functionality is not available through Public API, but it is possible to retrieve a registration created in the Sinch Customer Dashboard under the same project Id.

IN_QUEUE

Registration has been successfully submitted, but it is waiting for support.

IN_PROGRESS

Registration is being processing by Sinch.

APPROVED

Registration has been approved and sender ID has been provisioned for the customer.

REJECTED

Registration has been rejected. A comment should be present in the logs with the reason.

PENDING

Registration must be updated by the customer. Please check the registration logs to understand the reason.

ON_HOLD

Registration is on hold for any reason. Please check the comments in the logs.

PENDING_APPROVAL

For those policies with MANUAL price, Account Managers must approve the operation. Until registration has the approval it will stay in this state.

PENDING_ATTACHMENTS

Registration has been submitted, but at least one mandatory attachment must be provided.

Example:"IN_QUEUE"
tagsArray of strings

User tags used for the registration. Tag have to start from '#' and contains only alphanumerics and dashes.

Example:
[ "#myTag1", "#myTag2" ]
updateTimestring

Update time of the request. ISO date time format in UTC without timezone offset.

Example:"2021-11-03T14:30:03"
servicePlanIdstring

Service plan ID or System ID that the registration applies to. When included, the sender id will be configured linked to the service/system plan.

Example:"a23dccbf-919d-462f-8587-dec95a1b44de"
Response
{ "attachments": [ { … } ], "callbackUrl": "senderid.registrations.api.sinch.com", "createTime": "2021-11-03T14:30:03", "etaDate": "2024-11-03", "id": "d1c7ccbf-919d-462f-8587-dec95a1b11ee", "logs": [ { … } ], "notificationContacts": [ "jane.doe@example.com", "john.doe@example.com" ], "owner": "Jane Doe", "policyId": "d1c7ccbf-919d-462f-8587-dec95a1b11ee", "price": { "currency": "USD", "frequency": 1, "mode": "SUBSCRIBED", "recurrentFeeAmount": "2", "setupFeeAmount": "5" }, "registrationType": "ALPHANUMERIC_SENDER_ID", "requestDetails": [ { … } ], "senderIds": [ "senderId1", "senderId2" ], "status": "IN_QUEUE", "tags": [ "#myTag1", "#myTag2" ], "updateTime": "2021-11-03T14:30:03", "servicePlanId": "a23dccbf-919d-462f-8587-dec95a1b44de" }
We'd love to hear from you!
Rate this content: